
// Gets current date/time to initiate a random string to stop caching.
var newTime;					
var newrand;

// Initialize Global variables
var firstNumber = 0;				// First Number to be stored
var secondNumber = 0;				// Second Number to be stored
var operand = "";					
var lastoperand = "";				// Last Operand 
var showTotal = "0";				// Total to be displayed.
var useSecondNumber = false;		// Are we going to place the information into the second number?


var flash_xml_response = new XML();	// Create An XML Object


function operateCalc (pressed_opr) {
//-----------------------------------------------------------
//  function operateCalc()
//
//  Description:  Called when an operator is pressed.
//  			  Determines what to do dependant upon the operator
//				  button pressed.
//	
//	Parameters:	  pressed_opr - The operator the user has chosen.
//-----------------------------------------------------------
	if (pressed_opr == "=") {				// If user has pressed the equal sign
		_root.newTime = new Date();			// create a new random number 
		_root.newrand = _root.newTime.getTime().toString();
											// Create the XMLSTring and Send it.
		var xmlSendString = createXMLExpr(firstNumber, secondNumber, lastoperand);
		xmlConnect(xmlSendString);
	} else if (pressed_opr == "C") {		// If the user chooses to Clear the calculator
		gotoAndPlay (1);					// Go to the beginning of the Timeline
	} else {								// Otherwise, an operator has been pressed.
		lastoperand = pressed_opr;			// Store the operator
		useSecondNumber = true;				// Tell the program to store the next number in the SecondNumber variable
		showTotal = "";						// Clear the total
	}
}

function showCalc (pressed_num) {
//-----------------------------------------------------------
// function showCalc()
//
// Description: When the user presses a number button, this function 
// 				is called.
// Parameters:
//				pressed_num:  Number that was pressed.
//-----------------------------------------------------------
	if (!useSecondNumber) {			// Place Number into firstnumber variable
		if (firstNumber == 0) {		// if it is zero replace the number
			firstNumber = pressed_num;
		} else {					// otherwise, concantenate the new number onto the old one.
			firstNumber = firstNumber+String(pressed_num);
		}
		showTotal = firstNumber;	// Show the new number on the screen
	} else {					
		if (secondNumber == 0) {	// otherwise place the number into the second variable using the same criteria.
			secondNumber = pressed_num;
		} else {
			secondNumber = secondNumber+String(pressed_num);
		}
		// Used for debugging only.
		// _root.messagetext = _root.messagetext += "Second Number = "+secondNumber;
		
		showTotal = secondNumber;		// Show the new number on the screen.
	}
}


function createXMLExpr (firstNum, secondNum, curoperand) {
//-----------------------------------------------------------
// function createXMLExpr()
//
// Description:	Physically creates the XML object which will be sent
// 				to the ColdFusion Server.
//
// Parameters:
//				firstNum - FirstNumber created
//				secondNum - SecondNumber created
//				curoperand - Operand to apply to both numbers.
//
//	Returns:	Properly formatted XML String 
//-----------------------------------------------------------
	var xmlString = '<?xml version=\"1.0\"?>';
	xmlString = xmlString+"<calculation><firstNumber>"+firstNum+"</firstNumber>";
	xmlString = xmlString+"<secondNumber>"+secondNum+"</secondNumber>";
	xmlString = xmlString+"<operand>"+curoperand+"</operand></calculation>";
	return xmlString;
}

function xmlConnect (xmlString) {
//-----------------------------------------------------------
// function xmlConnect()
// 
// Description: Physically sends and loads the XML String to the CF Server.
//-----------------------------------------------------------
	// setup the xml response object that will come from the server
	flash_xml_response.onLoad = response;			// Calls the response function when CF Sends back info.
	flash_xml = new XML();							// Creates the XML parser.
	flash_xml.parseXML(xmlString);					// Turns the XMLString into an XML object
	
	
	// This is what calls the Coldfusion server and provides a variable to load information from CF.
	flash_xml.sendAndLoad("calc.cfm?type=flash&rnd="+_root.newrand, flash_xml_response);
}

function response () {
//-----------------------------------------------------------
// function response()
//
// Description: Upon receiving an XML parser back from ColdFusion,
// 				This function actually handles the parsing
//				of the XML and the displaying of the total into the
//				Flash Display.
//-----------------------------------------------------------
	for (var count = 0; count<this.childNodes.length; count++) {
		if (this.childNodes[count].nodeName.toLowerCase() == "calculation") {
			var calcNode = this.childNodes[count];
			var resultsNode = calcNode.childNodes[0];
			firstNumber = resultsNode.childNodes[0].nodeValue;
			secondNumber = 0;
			useSecondNumber = true;
			lastoperand = "";
			showTotal = firstNumber;
		}
	}
}

